/* Ne toucher pas aux selecteurs " * " et " body "  ces valeurs attribuer sont des valeur par defauts utiles */ 

/* ----------------------##############################-----------------------------------------------------------------------------------------
    FONCTIONNALITES DE BASES INDISPENSABLES APPLIQUER PAR DEFAUTS A TOUTE NOS PAGES SANS EXCEPTION
-------------------###############-> p1-debut <-################--------------------------------------------------------------------------------*/

*{
    font-family: Georgia, 'Times New Roman', Times, serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;/* elimine certains effets qu'ajoute par defaut les navigateurs */
    list-style: none;
    text-decoration: none;
    word-spacing: 0px; /* Réduire l'espacement entre les mots */ 
}
body
{
    margin: 0;/* elimination des espaces tout aux bordures de la page car certain navigateurs mettent des valeurs de margin non voulu a notre page*/
    padding: 0;/*elimination des espaces inutile a l'interieur de la boite de page car certain navigateurs mettent des valeurs de padding non voulu a notre page*/
    word-spacing: 0px; /* Réduire l'espacement entre les mots */
    margin-top: 55px;
}
/*-------------------###############-> p1-fin <-################-------------------------------------------------------------------------------*/



/* ----------------------##############################-----------------------------------------------------------------------------------------
    PROPRIETES APPLIQUERS A LA BANNIERE SUPERIEUR OU " HEADER-Navbar "
-------------------###############-> p2-debut <-################-------------------------------------------------------------------------------*/

body .BanniereSuperieur
{
    margin: 0;
    background-color:#0088a9;
    color: white;
    width: 100%;
    height: 70px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;   
   
}

    body .BanniereSuperieur #logo_banniereSuperieur
    {
        float: left;
        width: 45px;
        max-width: 45px;
        height: 45px;
        max-height: 45px;
        border-radius: 50%;
        object-fit:cover;
        /* border: solid 3px black; */
        position: relative;
        top: 2px;
        left: 14px;

    }

    body .BanniereSuperieur .ul-global
    {
        position: absolute; 
        margin-left: 100px;
        top: 12px;
        max-width: 550px;
        text-align: center;
        /* border: 1px solid red; */
    }
        body .BanniereSuperieur .ul-global li
        {
            list-style: none;
            display: inline-block;
            text-decoration: rgb(8, 189, 8);
            margin-left: 20px;
            /* border: 2px solid yellow; */
        }
        body .BanniereSuperieur .ul-global #menuAccueil
        {
            margin-left: 0;
        } 

            body .BanniereSuperieur .ul-global li a
            {
                color: white;
                text-decoration: none;               
                display: flex;/*envoie les options a droite*/ 
                letter-spacing: 0.1rem;
            }
                body .BanniereSuperieur .ul-global li a:hover
                {
                    color:rgb(23, 23, 78);
                    text-decoration: none;
                    background-color: rgba(245, 245, 245, 0.895);
                    border-radius: 5px 5px 5px 5px ;
                    height:24px;
                    padding: 2px;
                }
                


            select 
            {
                color: white;
                appearance: none;
                -webkit-appearance: none;
                -moz-appearance: none;
                background: none;
                width: 52px;
                outline: none;
                box-shadow: none;
                padding: 0; 
                border: 0;
                font-size: 14.5px;
                letter-spacing: 0.1rem;
            }
            select:hover{
                color:#0088a9;
                background-color: rgba(245, 245, 245, 0.895);
            }
                select option
                {
                    color:rgb(19, 0, 0);
                    background-color: rgba(245, 245, 245, 0.895);
                }
           

                body .BanniereSuperieur #barreDeRechercheBanniere
                {
                    position: absolute;
                    left: 900px;
                    top: 11px;
                    max-width: 400px;
                    max-height: 65px;
                    text-align: center;
                    color: white;
                    /* border:2px solid red; */
                }
                    
                    #barreDeRechercheBanniere #champ_barreDeRechercheBanniere
                    {
                        background-color:rgba(255, 255, 255, 0.66);
                        border: 1.5px solid rgb(205, 201, 201);
                        color: #0f0303;
                        padding: 4px; 
                        width: 200px;  
                        border-radius: 10px;
                    }
                        .BanniereSuperieur #barreDeRechercheBanniere button
                        {
                            background-color: rgba(73, 247, 180, 0.653);
                            margin-left: 2px;
                            border-radius: 10px;
                            padding: 2px;
                            border: 1px solid rgba(215, 212, 212, 0.815);
                        }
                        .BanniereSuperieur #barreDeRechercheBanniere button:hover
                        {
                            margin-left: 2px;
                            font-size: 14px;
                            color: white;
                        }


                .BanniereSuperieur #form-bouttons-con_insc{
                    display: none;
                    position: relative;
                    left: 1000px;
                    top: -33px;
                    max-width: 250px;
                    max-height: 55px;
                    text-align: left;
                    /*border:2px solid red;*/
                }
                    .BanniereSuperieur #div-bouttons-con a #boutton-con{
                        
                        background-color: #149506; /* Couleur de fond du bouton */
                        color: rgb(255, 255, 255);
                        font-weight: bold;
                        padding: 5px;
                        font-size: 12px;
                        border-radius: 5px;
                        font-weight: bolder;
                        border: 0.5px;
                        position: absolute;
                        right: 60px;
                        top: 10px;
                        max-width: 350px;
                        max-height: 45px;
                        cursor: pointer;
                    }
                    .BanniereSuperieur #div-bouttons-con a #boutton-con:hover{
                        font-size:smaller;
                        background-color: rgba(229, 5, 5, 0.817);

                    }

                        .BanniereSuperieur #form-bouttons-con_insc #boutton-insc{
                            display: none;
                            background-color: rgb(29, 13, 245);
                            color: white;
                            font-weight: bold;
                            padding: 5px;
                            font-size: 8px;
                            border-radius: 5px;
                            
                        }
                            .BanniereSuperieur #barreConInscription #boutton-con:hover{
                                display: none;
                                background-color: rgb(235, 101, 53);
                            }
                                .BanniereSuperieur #barreConInscription #boutton-insc:hover{
                                    display: none;
                                    background-color: rgb(235, 101, 53);
                                }

body .BanniereSuperieur #icone-menu 
{
    position:absolute;
    height: 35px;
    width: 35px;
    right: 10px;
    top: 5px;
    margin:0;
}
body .BanniereSuperieur #icone-menuTelephone 
{
    position:absolute;
    height: 35px;
    width: 35px;
    right: 10px;
    top: 5px;
    margin:0;
}
            
body .BanniereSuperieur .banderole-menu {
    display: NONE;
    position: relative;
    top: 50px;
    right: 20px;
    background-color: #fff;
    border: 1px solid #ccc;
    /*  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);*/
}
     /* Afficher le menu déroulant lorsque l'icône de menu est cliquée */
     body .BanniereSuperieur .banderole-menu-open    
     {
        display: block;
        position: absolute;  
        padding: 0;
        margin: 0;
        top: 40px;
        right: 14px;
        background-color: rgba(255, 255, 255, 0.968);
        border: 1px solid #00000095;
        width: 20%;
        height: 550px;
       /* box-shadow: 1px 0px 0px rgb(233, 232, 232);*/
 
    }

        body .BanniereSuperieur .banderole-menu-open ul 
        {
            list-style-type: none;
            padding: 0;
            margin: 0;
            top: 0;
            width: 100%;
            display: flex;  
            flex-direction: column;
        }
            body .BanniereSuperieur .banderole-menu-open ul li 
            {
                margin-left: 10px;
            }
                body .BanniereSuperieur .banderole-menu-open ul li a 
                {
                    color: #000000;
                    font-size: 18px;
                    font-weight: bold;
                    text-decoration: none;
                    /* border: 2px solid green; */
                }
                    body .BanniereSuperieur .banderole-menu-open ul li a p
                    {
                        padding: 10px 0px;
                    }
                    body .BanniereSuperieur .banderole-menu-open ul li a p:hover
                    {
                        background-color:  #0088a9;
                        color: whitesmoke;
                        border-radius: 3px 3px 3px 3px;
                    }
                    
/* 
body .BanniereSuperieur .menu-toggle 
{
    display: none;
    background-color: #333;
    color: #ffffff;
    border: none;
    font-size: 24px;
    cursor: pointer;
    position: relative;
    padding: 0;
    margin: 0;
} */
/*-------------------###############-> p2-fin <-################-------------------------------------------------------------------------------*/
 


/* ----------------------##############################-----------------------------------------------------------------------------------------
    PROPRIETES APPLIQUES AU CONTENU POSITIONNER ENTRE [LA BANNIERE SUPERIEUR] [ET] [LA BANNIERE INFERIEUR] DES DIFFERENTES PAGES
-------------------###############-> p3-debut <-################--------------------------------------------------------------------------------*/
/* special accueil */
.main-corpsPageAccueil{
    max-width: 1450px;
    margin: 0 auto;
}
    .main-corpsPageAccueil #div-textesPresentation
    {
        text-align: center;
        margin-top: 60px;
        margin-bottom: 30px;
        /* border: 2px solid red; */
    }
        .main-corpsPageAccueil #div-textesPresentation h1{
            color:red;
            text-align: center;
            padding: 0;
            margin: 0;
            font-family:Verdana, Geneva, Tahoma, sans-serif;
            /* border: 2px solid yellow; */
        }
            .main-corpsPageAccueil #div-textesPresentation #div-boiteTextes
            {
                margin: 0;
                padding: 0;
                /* background-color: #0589b1; */
            }
                .main-corpsPageAccueil #div-textesPresentation #div-boiteTextes p
                {
                    font-size: 20px;
                }
                /* .main-corpsPageAccueil #div-textesPresentation h1 #p2{
                    color:black;
                    margin: 0;
                    padding: 0;
                } */
        

.main-corpsPageAccueil .section-images-transition {
    width: 100%; /* Ajustez la largeur à 100% pour occuper toute la largeur de la page */
}
        
.main-corpsPageAccueil .section-images-transition .mySlides_fade{
    width: 100%; /* Ajustez la largeur à 100% pour occuper toute la largeur de la page */
    height: auto; /* Ajustez la hauteur automatiquement pour conserver le rapport d'aspect */
    margin: 0; /* Supprimez la marge pour coller à la gauche de la page */
    left: 0; /* Réglez la position à 0 pour être à gauche */
}

.main-corpsPageAccueil .section-images-transition .mySlides_fade img {
    width: 100%;
    height: auto;
    max-height: 500px; /* Réglez la hauteur maximale au format de l'écran (80% de la hauteur de la vue) */
    object-fit:cover;
}
.main-corpsPageAccueil .section-images-transition .mySlides_fade .text{
    width: 100%;
    height: auto;
    background-color: rgba(255, 0, 0, 0.494);
    font-size: 20px;
}

.section-textTemoignages {
    max-width: 800px;
    margin: 10px auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;

}
.section-textTemoignages p {

        display: flex;
        margin-left: 27px;
}

.section-textTemoignages h2 {
    color: #333;
}

.div-textTemoignages {
    margin-bottom: 20px;
}

.div-textTemoignages p {
    position: relative;
    margin-left: 12px; 
    font-style: italic;
    margin-bottom: 10px;
}

.div-textTemoignages .auteurText {
    font-family: Georgia, 'Times New Roman', Times, serif;
}


/* DANS LES DEUX PAGES exercices et corrections */
.contenuCorpsPages
{
    color: #333;
    background-color: white;
    max-width: 850px;
    margin: 0 auto;
    padding: 20px;
    box-shadow: 0px 0px 16px rgb(233, 232, 232);
    margin-top: 50px;
    word-spacing: -3px; /* Réduire l'espacement entre les mots */
}
.section_Exercice,
.section_Correction {
    margin-top: 20px;   
}
    .contenuCorpsPages section .p-texte_nomMatiere
    {
       margin-bottom: 0; 
       font-size: 16px;
       font-style: italic;
    }
        .contenuCorpsPages section .p-texte_exercice,
        .contenuCorpsPages section .p-texte_correction
        {
            font-size: 25px;
            font-weight: bold;
            color: rgb(243, 99, 99);
        }
            .contenuCorpsPages section .p-texte_exercice .p-texte_titre,
            .contenuCorpsPages section .p-texte_correction .p-texte_titre
            {
                color: #333;
                font-size: 25px;
            }
                .contenuCorpsPages section .p-texte_libelle
                {
                    font-size: 20px;
                    text-align: justify;
                    margin-top: 5px;
                    margin-bottom: 9px;
                } 
                    .contenuCorpsPages section .p-texte_pdf 
                    {
                        color: rgba(255, 0, 0, 0.89);
                        font-size: 16px;
                        margin-bottom: 8px;
                    }
                        .contenuCorpsPages section .p-texte_dateHeurePublication
                        {
                            font-size: 10px;
                            margin-top: 5px;
                            margin-bottom: 0;
                        }

/* Styles pour la mise en page */
.contenuPage
{
    margin-top: 50px;
    padding: 20px;
}

.contenuPage .ligneHorizontale {
    display: flex;
    flex-wrap: wrap;
    margin: -10px; /* Espacement négatif pour compenser la marge des colonnes */
}

.contenuPage .ligneHorizontale .tailleColonneMoyenne {
    flex: 0 0 calc(33.333% - 20px); /* Calcul de la largeur des colonnes avec un espacement de 20px entre les colonnes */
    margin: 10px; /* Espacement entre les colonnes */
    box-sizing: border-box; /* Boîte de modèle pour inclure les marges dans le calcul de la largeur */
}

/* DANS LA PAGE corpsPageSujet */
body .main-corpsPageSujetAccueil
{
    margin: 0 auto;
    margin: 0;
    margin-bottom: 10px;
    position: relative;
    top: 50px;
}
    body .main-corpsPageSujetAccueil a
    {
        color: white;
    }
    body .main-corpsPageSujetAccueil .div-contenu_corpsPageSujets
    {
        max-width: 500px;
        margin: 0 auto;
        padding: 10px;
        background-color: #ffffff00;
        border-radius: 5px;
        height: auto;
    }
        body .main-corpsPageSujetAccueil .div-contenu_corpsPageSujets .section-sujet
        {
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 50px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            width: 300px;
            text-align: center;
            margin: 0 auto;
            margin-bottom: 10px;
            position: relative;
            display: flex;
            justify-content: center; /* Centre horizontalement */
            align-items: center; /* Centre verticalement */
            height: 16vh;
            background-color: #0589b1;
            color: #000;
        }
        body .main-corpsPageSujetAccueil .div-contenu_corpsPageSujets .section-sujet :hover
        {
            background-color: rgb(255, 255, 255);
            color:  #0589b1;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 50px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            width: 300px;
            text-align: center;
            margin: 0 auto;
            position: relative;
            display: flex;
            justify-content: center; /* Centre horizontalement */
            align-items: center; /* Centre verticalement */
            height: 16vh;
        }
            body .main-corpsPageSujetAccueil .div-contenu_corpsPageSujets .section-sujet a p
            {
                font-size: 20px;
                font-weight: bold;
                width: 300px;
                padding-top: 34px;
                padding-bottom: 34px;     
                position: absolute;
                top: 50%; /* Centre par rapport à Y */
                left: 50%; /* Centre par rapport à X */
                transform: translate(-50%, -50%); /* Pour ajuster le centrage */
         
            }


/* ==============================================================================
                CSS pour la DATATABLE
============================================================================== */

/* Personnalisation de la barre de recherche */
body .main-corpsPageSujetsCcSnSrTdTp #dt-search-0 {
    border: 2px solid rgb(73, 72, 72);
    color: #000;
    text-align: center;
    background-color:rgba(188, 188, 188, 0.388);
    font-weight: bold;
}

/* Personnalisation de la pagination */
.dataTables_wrapper .dataTables_paginate {
    float: none;
    text-align: center;
}

/* Personnalisation des informations sur les entrées */
.dataTables_wrapper .dataTables_info {
    float: none;
    text-align: center;
    margin-bottom: 20px; /* Espacement en bas des informations sur les entrées */
}

/* Personnalisation de l'en-tête de colonne */
.dataTables_wrapper .dataTables_wrapper .dataTables_scrollHeadInner table thead th {
    background-color: #f2f2f2; /* Couleur de fond de l'en-tête */
    color: #333; /* Couleur du texte de l'en-tête */
    font-weight: bold;
    border: none; /* Supprimer les bordures */
}

/* Personnalisation des cellules de données */
.dataTables_wrapper .dataTables_wrapper .dataTables_scrollBody table tbody tr td {
    border: none; /* Supprimer les bordures */
    text-align: center; /* Centrer le texte dans les cellules */
}

/* Inversion des textes en anglais */
.dataTables_wrapper .dataTables_paginate .paginate_button.previous::after {
    content: "Précédent";
}

.dataTables_wrapper .dataTables_paginate .paginate_button.next::before {
    content: "Suivant";
}

.dataTables_wrapper .dataTables_info {
    font-size: 14px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 8px 12px;
    font-size: 14px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    background-color: #007bff;
    color: #fff;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background-color: #0056b3;
    color: #fff;
}


/* ==============================================================================
                FIN FIN CSS pour la DATATABLE
============================================================================== */

body .main-corpsPageSujetsCcSnSrTdTp
{
    position: relative;
    top: 50px;
    padding: 0px 5px;
    margin: 0;
}
body .main-corpsPageSujetsCcSnSrTdTp .section-sujet p {
    margin-right: 30px;
    font-size: bold;
    align-items: center;

}
body .main-corpsPageSujetsCcSnSrTdTp h1{
    position: relative;
    top: 0;
    background-color: #0087a95e;
    color: #fff;
    text-align: center;
    border-bottom: 2px solid black;


}
body .main-corpsPageSujetsCcSnSrTdTp table{
    border: #000 1px;
    align-items: center;
}

body .main-corpsPageSujetsCcSnSrTdTp a button{
    font-weight: bold;
    background-color: #69eb7f;
    width: 95px;
    color:#2a2a2a;
    border: none;
    box-shadow: #ccc;
    border-radius: 5px;
    cursor: pointer;
}

/* Style pour les tables à l'intérieur de la balise de class .section-sujets */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets table {
    width: 100%; /* Largeur de tableau à 100% de la largeur de la section */
    border-collapse: collapse; /* Fusion des bordures de tableau */
    margin-top: 10px; /* Marge en haut du tableau */
    
}

/* Style pour l'icône PDF */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets table tr td a .pdf-icon {
    width: 25px; /* Largeur de l'icône */
    height: 25px; /* Hauteur de l'icône */
    margin-right: 5px; /* Marge à droite de l'icône */
    vertical-align: middle; /* Alignement vertical au milieu */
}

/* Style pour la balise <p> qui affiche le nom de chaque filiere */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets p {
    color: rgba(28, 21, 219, 0.95);
    font-size: 30px;
    text-align: center;
    margin-top: 10px;
    border-bottom: 1px solid;
}
/* Style pour les cellules td à l'intérieur des tableaux */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td {
    padding: 10px; /* Espacement interne des cellules */
    border: 1px solid #ccc; /* Bordure de 1 pixel solide avec une couleur grise */
    text-align: left; /* Alignement du texte à gauche */
}

    /* Style pour les boutons à l'intérieur des cellules td */
    body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td button {
        padding: 10px; /* Espacement interne des boutons */
        background-color: #12b700; /* Couleur de fond du bouton */
        color: #fff; /* Couleur du texte du bouton */
        border: none; /* Supprime la bordure du bouton */
        cursor: pointer; /* Curseur de type pointeur au survol */
        font-weight: bold; /* Texte en gras */
        float: right; /* Positionne le bouton à droite */
        border-radius: 3px 3px 3px 3px;
        font-size: 12px;
    }

        /* Style pour les boutons au survol */
        body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td button:hover {
            background-color: rgba(192, 36, 36, 0.762); /* Couleur de fond au survol */
            font-size: 13px;

        }

/* Style pour l'icône PDF */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td .pdf-icon {
    margin-right: 5px; /* Marge à droite de l'icône */
    font-size: 16px; /* Taille de l'icône */
    vertical-align: middle; /* Alignement vertical au milieu */
}

/* Style pour le texte de la matière et de l'année */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td .matiere {
    font-size: 18px; /* Taille de la police pour la matière */
    font-weight: bold; /* Texte en gras */
}

/* Style pour l'année */
body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td .annee {
    font-size: 16px; /* Taille de la police pour l'année */
    color: #777; /* Couleur de texte grise pour l'année */
}



/* -------------------------------------
    CSS DE LA PAGE liste_filieres 
  -------------------------------------  */
  .div-contenu_corpsPageListe_filieres {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.section-filiere {
    width: 100%;
    margin-bottom: 10px; /* Ajoute un espace entre chaque option */
    margin-top: 10px;
}

.section-filiere a {
    display: block; /* Afficher chaque option sur une ligne distincte */
    background-color: #0589b1; /* Couleur de fond */
    color: #fff; /* Couleur du texte */
    text-align: center;
    text-decoration: none;
    padding: 15px 20px; /* Espacement à l'intérieur du bouton */
    border-radius: 5px; /* Coins arrondis */
    transition: background-color 0.3s ease; /* Transition pour un effet de survol */
}

.section-filiere a:hover {
    background-color: #0589b1; /* Couleur de fond au survol */
}

/* Réglages de responsivité */
@media screen and (max-width: 768px) {
    .section-filiere {
        margin-bottom: 5px; /* Ajuste l'espace entre chaque option pour les petits écrans */
    }
}
/* -------------------------------------
   FIN CSS DE LA PAGE liste_filieres 
  -------------------------------------  */


/* -------------------------------------
    CSS DE LA PAGE erreur404
-------------------------------------  */
.main-corpsPageErreur404 {
    font-family: Arial, sans-serif;
    background-color: #ffffff;
    text-align: center;
    padding: 50px;
    margin-top: 35px;
}
.main-corpsPageErreur404 h1 {
    font-size: 36px;
    color: #333;
    margin-bottom: 20px;
}
.main-corpsPageErreur404 p {
    font-size: 18px;
    color: #666;
    margin-bottom: 20px;
}
.main-corpsPageErreur404 .emoji {
    font-size: 100px;
    margin-top: 20px;
}

/* Media queries pour le responsive */
@media screen and (max-width: 768px) {
    .main-corpsPageErreur404 h1 {
        font-size: 28px;
    }
    .main-corpsPageErreur404 p {
        font-size: 16px;
    }
    .main-corpsPageErreur404 .emoji {
        font-size: 80px;
    }
}
/* -------------------------------------
    FIN CSS DE LA PAGE erreur404
-------------------------------------  */


/*-------------------###############-> p3-fin <-################-------------------------------------------------------------------------------*/



/* ----------------------##############################-----------------------------------------------------------------------------------------
                    PROPRIETES APPLIQUERS AUX FORMULAIRES
-------------------###############-> p4-debut <-################--------------------------------------------------------------------------------*/

#body-form_connexion,
#body-form_inscription,
#body-form_admin, 
#body-zone,
#body-form_publierEEC
{
    background-color: #fff; 
    margin: 0;
    padding: 0;
    margin-top: 50px;
    height: auto;
}

#body-form_inscription .div-form_contenu,
#body-form_connexion .div-form_contenu
{
    width: 80%;
    max-width: 500px;
    height: auto;
    margin: 0 auto;
    margin-bottom: 50px;
    padding: 20px;
    border: 1px solid #ccc;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
#body-form_inscription #textarea-remarque_sur_formulaire
{
    margin-top: 6px;
    font-size: 12px;
    color: rgb(240, 32, 9);
}

#body-form_admin .div-form_contenu,
#body-form_publierEEC .div-form_contenu
{
    font-family: Arial, sans-serif;
    background-color: #fff;
    color: #333; /* Texte blanc */
    border: 1px solid #ccc;
    padding: 20px;
    width: 900px;
    margin: 0 auto;
    margin-top: 70px;
    margin-bottom: 60px;
}

#body-form_admin .div-form_contenu #p-form_admin,
#body-form_publierEEC .div-form_contenu #p-form_admin
{
    font-size: 25px;
    margin-bottom: 15px;
    color: #333;
    text-align: center;
    font-weight: bold;
    border-bottom: 2px solid #333;
}

.h1-form_admin,
.h1-form
{
    font-size: 25px;
    margin-bottom: 15px;
    color: rgb(240, 32, 9);
    text-align: center;
    font-weight: bold;
    border-bottom: 2px solid rgb(240, 32, 9);  
}

#body-form_admin .div-form_contenu select
{
    width: 50%;
    color: #000;
    
    padding: 5px;
    align-items: center;
    border: 1px solid black;
    border-radius: 5px;

 }


.div-form_champs_labelInput {
    margin-bottom: 25px;
}

.div-form_contenu label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}

.div-form_contenu input[type="text"],
.div-form_contenu input[type="email"],
.div-form_contenu input[type="password"],
.div-form_contenu textarea 
{
    width: 100%;
    padding: 10px;
    border: 1.5px solid #ccc;
    border-radius: 3px;
    font-size: 16px;
    resize: none;
}
.textarea-form_admin{
    height: 150px; /* Ajustement de la hauteur */
}

.div-form_contenu button[type="submit"] {
    width: 100%;
    background-color: #0d868f;
    color: #fff;
    font-weight: bold;
    padding: 10px;
    margin-top:20px;
    border: none;
    border-radius: 3px;
    font-size: 18px;
    cursor: pointer;
}
    .div-form_contenu button[type="submit"]:hover {
        background-color: #099120;
        font-size: x-large;
    }
    .div-form_contenu button[type="button"] {
        width: 99%;
        background-color: #099120;
        color: #fff;
        font-weight: bold;
        padding: 10px;
        margin-top:20px;
        border: none;
        border-radius: 3px;
        left: 25px;
        font-size: 18px;
        cursor: pointer;   
    }
    .div-form_contenu button[type="button"]:hover {
       /* background-color: #0d868f;*/
        font-size: x-large;
    }

/* responsive css */
@media screen and (max-width:600px)
{
    .div-form_contenu {
        width: 90%;
        margin: 35% auto;
    }
}
/*-------------------###############-> p4-fin <-################-------------------------------------------------------------------------------*/



/* ----------------------##############################-----------------------------------------------------------------------------------------
    PROPRIETES APPLIQUERS A LA BANNIERE INFERIEUR OU " FOOTER-Navbar "
-------------------###############-> p5-debut <-################--------------------------------------------------------------------------------*/

body #banniereInferieur
{
    margin: 0;
    margin-top: 80px;
    padding: 5px;
    background-color:#0088a9;  
    color: white;
    width: 100%;
    max-width: 100%;
    height: auto;
}

 
     body #banniereInferieur #icone-face{
        position:absolute;
        height: 15px;
        width: 15px;
        right: 180px;
        margin: -10px;
       /* border: 3px solid yellow;*/
        object-fit: cover;
    }
        body #banniereInferieur #icone-insta{
            position:absolute;
            height: 15px;
            width: 15px;
            right: 150px;
            margin: -10px;
            /*border: 3px solid yellow;*/
            object-fit: cover;
        }
            body #banniereInferieur #icone-mail{
                position:absolute;
                height: 15px;
                width: 15px;
                right: 120px;
                margin: -10px;
                /*border: 3px solid yellow;*/
                object-fit: cover;
            }
                body #banniereInferieur #icone-whatsapp{
                    position:absolute;
                    height: 15px;
                    width: 15px;
                    right: 90px;
                    margin: -10px;
                   /* border: 3px solid yellow;*/
                   object-fit: cover;
                }
                    body #banniereInferieur #icone-y2b{
                        position:absolute;
                        height: 15px;
                        width: 15px;
                        right: 60px;
                        margin: -10px;
                        /*border: 3px solid yellow;*/
                        object-fit: cover;
                    }
/*-------------------###############-> p5-fin <-################-------------------------------------------------------------------------------*/



/* ----------------------##############################-----------------------------------------------------------------------------------------
    PROPRIETES RESPONSIVE " @media " ADAPTATION DU SITE A TOUS LES ECRANS DIMENSION->[SAMARTPHONE][TABLETTE][PC][ECRAN-TV]
-------------------###############-> p00-debut <-################--------------------------------------------------------------------------------*/
@media screen and (min-width: 768px)
{
    body .BanniereSuperieur #icone-menuTelephone 
    {
        display: none;
        position:absolute;
        height: 35px;
        width: 35px;
        right: 10px;
        top: 5px;
        margin:0;
    }
}

/* Styles pour LA BANNIERE SUPERIEUR _-_ les menu responsive (écrans étroits) */
@media (max-width: 768px) {
    .BanniereSuperieur 
    {
      text-align: center;
    }
    .BanniereSuperieur #logo_banniereSuperieur {
        display: none;
    }
    .BanniereSuperieur .ul-global {
      display: none;
    }
    body .BanniereSuperieur #icone-menu 
    {
        display:none;
    }
    .banderole-menu {
        display: NONE;
    }
    body .BanniereSuperieur #icone-menuTelephone 
    {
        display: none;
        position:absolute;
        height: 35px;
        width: 35px;
        right: 40px;
        top: 5px;
        margin:0;
    }

    .BanniereSuperieur .banderole-listeMenuTelephone-open{
        display: block;
        position: absolute; 
        right: 0;
        padding: 5px;
        margin-top: 30px;
        background-color: #0088a9;
        border: 1px solid #80242495;
        height: 280px;
        box-shadow: 1px 0px 0px rgb(233, 232, 232);
        width: 125px;
        /* border: 2px solid red; */
    }
        body .BanniereSuperieur .banderole-listeMenuTelephone-open li
        {
            /* display: block; */
            float: left;
            margin: 10px 0;
            width: 100%;        
            padding: 4px 0;
            margin-left: 10px;
        /* border: 2px solid red; */
        }
            body .BanniereSuperieur .banderole-listeMenuTelephone-open #menuAccueil
            {
                margin-left: 10px;
            }
        


    .body-CcSnSrTdTp .ul-global li,
    #body-cefodbusinessshool .ul-global li,
    #body-exercices .ul-global li,
    #body-zone .ul-global li ,
    #body-corrections .ul-global li,
    #body-form_admin .ul-global li,
    #body-accueil .ul-global li,
    #body-form_publierEEC .ul-global li,
    #body-form_connexion .ul-global li,
    #body-form_inscription .ul-global li
    {
        margin-left: 0;
    } 
    .body-CcSnSrTdTp .ul-global li a:hover,
    #body-cefodbusinessshool .ul-global li a:hover,
    #body-exercices .ul-global li a:hover,
    #body-zone .ul-global li a:hover,
    #body-form_admin .ul-global li a:hover,
    #body-corrections .ul-global li a:hover,
    #body-accueil .ul-global li a:hover,
    #body-form_publierEEC .ul-global li a:hover,
    #body-form_connexion .ul-global li a:hover,
    #body-form_inscription .ul-global li a:hover
    {
        border-radius: 0px;
    }
    .body-CcSnSrTdTp .ul-global #menuAccueil,
    #body-cefodbusinessshool .ul-global #menuAccueil,
    #body-exercices .ul-global  #menuAccueil,
    #body-corrections .ul-global #menuAccueil,
    #body-zone .ul-global #menuAcceuil,
    #body-form_admin .ul-global #menuAccueil,
    #body-accueil .ul-global #menuAccueil,
    #body-form_publierEEC .ul-global  #menuAccueil,
    #body-form_connexion .ul-global  #menuAccueil,
    #body-form_inscription .ul-global  #menuAccueil
    {
        margin-top: 0;
    }  
    select 
    {
        float: left;
        width: 100%;
    }
       

/* FIN ------------------------------------------------------------ */

/* Styles pour LA BANNIERE INFERIEUR _-_ Responsive @media query */

body #banniereInferieur p {
    font-size: 10px;
 }
 body #banniereInferieur #icone-face{
     position:absolute;
     height: 15px;
     width: 15px;
     right: 160px;
     margin: -10px;
    /* border: 3px solid yellow;*/
     object-fit: cover;
 }
     body #banniereInferieur #icone-insta{
         position:absolute;
         height: 15px;
         width: 15px;
         right: 135px;
         margin: -10px;
         /*border: 3px solid yellow;*/
         object-fit: cover;
     }
         body #banniereInferieur #icone-mail{
             position:absolute;
             height: 15px;
             width: 15px;
             right: 105px;
             margin: -10px;
             /*border: 3px solid yellow;*/
             object-fit: cover;
         }
             body #banniereInferieur #icone-whatsapp{
                 position:absolute;
                 height: 15px;
                 width: 15px;
                 right: 75px;
                 margin: -10px;
                /* border: 3px solid yellow;*/
                object-fit: cover;
             }
                 body #banniereInferieur #icone-y2b{
                     position:absolute;
                     height: 15px;
                     width: 15px;
                     right: 45px;
                     margin: -10px;
                     /*border: 3px solid yellow;*/
                     object-fit: cover;
                 }

                 
                .BanniereSuperieur #form-bouttons-con_insc{
                    display: none;
                    position: relative;
                    left: 1000px;
                    top: -33px;
                    max-width: 250px;
                    max-height: 55px;
                    text-align: left;
                    /*border:2px solid red;*/
                }
                    .BanniereSuperieur #div-bouttons-con a #boutton-con{
                        
                        background-color: #149506; /* Couleur de fond du bouton */
                        color: rgb(255, 255, 255);
                        font-weight: bold;
                        padding: 5px;
                        font-size: 12px;
                        border-radius: 5px;
                        font-weight: bolder;
                        border: 0.5px;
                        position: absolute;
                        left: 1000px;
                        margin-left: 32px;
                        top: -1px;
                        max-width: 350px;
                        max-height: 45px;
                        cursor: pointer;
                        margin-bottom: 4px;
                        
                        
                    }
                    .BanniereSuperieur #div-bouttons-con a #boutton-con:hover{
                        font-size:smaller;

                    }
/* FIN ------------------------------------------------------------ */
            
} /* FIN -> @Media queries---------------------------------------------------- */



/* RESPONSIVE APPLIQUER AUX FORMULAIRES _-_ @Media queries pour les smartphones et les tablettes */
@media (max-width: 768px) {
    #body-form_inscription .div-form_contenu,
    #body-form_connexion .div-form_contenu,
    #body-form_admin .div-form_contenu,
    #body-form_publierEEC .div-form_contenu,
    #body-zone.div-form_contenu
    {
        width: 90%;
        max-width: 100%;
    }
}/* FIN -> @Media querie---------------------------------------------------- */

@media (max-width: 480px) {
    #body-zone.div-form_contenu,
    #body-zone .div-form_contenu,
    #body-form_inscription .div-form_contenu,
    #body-form_connexion .div-form_contenu,
    #body-form_admin .div-form_contenu,
    #body-form_publierEEC .div-form_contenu {
        margin-top: 10px;
        padding: 15px;
    }
}/* FIN -> @Media querie---------------------------------------------------- */
/*-------------------###############-> fin <-################-------------------------------------------------------------------------------*/


/*=============================================================================== 
    Media Queries pour le rendu responsive de la page sujet pdf a telecharger
*================================================================================/

/* Media Query pour les écrans de grande taille < pour la table > */
@media screen and (min-width: 1025px) {
    body .main-corpsPageSujetsCcSnSrTdTp .section-sujets table {
        font-size: 16px; /* Taille de la police plus grande */
    }
}

/* Media Query pour les écrans de petite taille < pour la table > */
@media screen and (max-width: 768px) {
    body .main-corpsPageSujetsCcSnSrTdTp .section-sujets table {
        font-size: 12px; /* Réduire la taille de la police */
    }
}

/* Pour les écrans de taille moyenne < pour les colonnes > */
@media only screen and (max-width: 768px) {
    body .main-corpsPageSujetsCcSnSrTdTp .section-sujets td {
        padding: 2px; /* Réduire l'espacement interne des cellules */
        margin: 0;
    }
}

/* Pour les écrans de petite taille < les paragraphes >*/
@media only screen and (max-width: 480px) {
    body .main-corpsPageSujetsCcSnSrTdTp .section-sujets p {
        font-size: 24px; /* Réduire la taille de la police pour les balises <p> */
    }
}



/*-------##########--debut-> @media POUR LES PAGES  : Cc, Sr, Sn, Td, Tp    ###############----------------------------------------------*/     